Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.support
Class AbstractPointcutAdvisor

    java.lang.Object
      org.springframework.aop.support.AbstractPointcutAdvisor

All Implemented Interfaces:
  Serializable, Advisor, PointcutAdvisor, Ordered

Direct Known Subclasses:
  AbstractBeanFactoryPointcutAdvisor, AbstractGenericPointcutAdvisor, AsyncAnnotationAdvisor, PersistenceExceptionTranslationAdvisor, TransactionAttributeSourceAdvisor

    public abstract class AbstractPointcutAdvisor

extends Object
implements PointcutAdvisor, Ordered, Serializable

Abstract base class for `PointcutAdvisor` implementations. Can be subclassed for returning a specific pointcut/advice or a freely configurable pointcut/advice.

Since:
  1.1.2
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `AbstractGenericPointcutAdvisor`, Serialized Form

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`AbstractPointcutAdvisor()`

Method Summary
`boolean` | `equals(Object other)`
`int` | `getOrder()` Return the order value of this object, with a higher value meaning greater in terms of sorting.
`int` | `hashCode()`
`boolean` | `isPerInstance()` Return whether this advice is associated with a particular instance (for example, creating a mixin) or shared with all instances of the advised class obtained from the same Spring bean factory.
`void` | `setOrder(int order)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.aop.PointcutAdvisor
`getPointcut`

Methods inherited from interface org.springframework.aop.Advisor
`getAdvice`

Constructor Detail

### AbstractPointcutAdvisor

    public AbstractPointcutAdvisor()

Method Detail

### setOrder

    public void setOrder(int order)

### getOrder

    public int getOrder()

  Description copied from interface: `Ordered`
  Return the order value of this object, with a higher value meaning greater in terms of sorting.

  Normally starting with 0, with `Integer.MAX_VALUE` indicating the greatest value. Same order values will result in arbitrary positions for the affected objects.

  Higher values can be interpreted as lower priority. As a consequence, the object with the lowest value has highest priority (somewhat analogous to Servlet "load-on-startup" values).

  Specified by:
    `getOrder` in interface `Ordered`
  Returns:
    the order value

### isPerInstance

    public boolean isPerInstance()

  Description copied from interface: `Advisor`
  Return whether this advice is associated with a particular instance (for example, creating a mixin) or shared with all instances of the advised class obtained from the same Spring bean factory.

  Note that this method is not currently used by the framework. Typical Advisor implementations always return `true`. Use singleton/prototype bean definitions or appropriate programmatic proxy creation to ensure that Advisors have the correct lifecycle model.

  Specified by:
    `isPerInstance` in interface `Advisor`
  Returns:
    whether this advice is associated with a particular target instance

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD